%define 	module elixir
Summary:	Declarative layer on top of the SQLAlchemy library
Summary(pl.UTF-8):	Warstwa nad biblioteką SQLAlchemy.
Name:		python-%{module}
Version:	0.7.1
Release:	6
License:	MIT
Group:		Development/Languages/Python
Source0:	https://pypi.python.org/packages/source/E/Elixir/Elixir-%{version}.tar.gz
# Source0-md5:	5615ec9693e3a8e44f69623d58f54116
Patch0:		sqlalchemy-0.8.patch
URL:		http://elixir.ematia.de/trac/wiki
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	python-sqlalchemy >= 0.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A declarative layer on top of SQLAlchemy. It is a fairly thin wrapper,
which provides the ability to create simple Python classes that map
directly to relational database tables (this pattern is often referred
to as the Active Record design pattern), providing many of the
benefits of traditional databases without losing the convenience of
Python objects.

%description -l pl.UTF-8
Cienka dodatkowa warstwa ponad SQLAlchemy. Pozwala tworzyć proste
klasy Pythonowe bezpośrednio mapowane do tabel relacyjnej bazy danych
(często nazywane też wzorcem projektowym Active Record) dając wiele z
zalet tradycyjnych baz danych bez straty wygody obiektów Pythonowych.

%prep
%setup -q -n Elixir-%{version}
%patch0 -p1

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/elixir
%{py_sitescriptdir}/Elixir-%{version}-py*.egg-info
%changelog
* Sun Mar 07 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-elixir.git;a=log;h=master

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> e82019a
- release 6 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> f53f9d5
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 110fed1
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 2211112
- automatic change: use py_build/py_install macros

* Wed Feb 11 2015 Elan Ruusamäe <glen@delfi.ee> 975ba57
- sqlalchemy 0.8+ fix

* Wed Feb 11 2015 Elan Ruusamäe <glen@delfi.ee> 2e9dbf3
- cleanups; rebuild with pythonegg deps

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1724169
- release 2

* Wed Nov 25 2009 Mateusz Korniak <matkor@pld-linux.org> 2c43436
- Version 0.7.1-1.

* Mon Jul 06 2009 Mateusz Korniak <matkor@pld-linux.org> edef452
- Release 2. BR: python-setuptools

* Sat Jul 04 2009 Mateusz Korniak <matkor@pld-linux.org> 7b6333e
- Release 1. Works for me.

* Sat Jul 04 2009 Mateusz Korniak <matkor@pld-linux.org> 1909230
- Initial.

